package no.valg.valgnatt.database.forberedvalg.bean;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class BeanKandidater extends Bean {

    private String navn;
    private String fodselsdato;
    private String kjonn;
    private String bosted;

    @Override
    public String getKey() {
        return makeKey(getValgaar(), getValgtype(), getValgdistriktnr(), getPartikode(), getPlassnr());
    }

    public static String makeKey(int valgaar, String valgtype, String valgdistriktnr, String partikode, int plassnr) {
        return valgaar + valgtype + valgdistriktnr + partikode + plassnr;
    }
    
}
